/*
 * Copyright 2012 Thomas Bocek
 * 
 * Licensed under the Apache License, Version 2.0 (the "License"); you may not
 * use this file except in compliance with the License. You may obtain a copy of
 * the License at
 * 
 * http://www.apache.org/licenses/LICENSE-2.0
 * 
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 */

package net.tomp2p.simgrid.example;

import java.io.IOException;

import net.tomp2p.p2p.Peer;
import net.tomp2p.simgrid.SimGridTomP2P;
import net.tomp2p.simgrid.Simulation;

import org.simgrid.msg.Msg;
import org.simgrid.msg.Process;

public class HelloWorld implements Simulation
{
	public static void main(String[] args) throws IOException
	{
		//set the callback
		SimGridTomP2P.setSimulation(new HelloWorld());
		//start SimGrid
		SimGridTomP2P.main(args);
	}
	@Override
	public void simulate(Peer peer, Process process, String[] args) throws Exception
	{
		Msg.info("Hello world, I'm peer "+peer.getPeerID());
	}
}